%define name g2
%define version 0.40
%define release 2mdk


Summary: g2 graphical library
Name: %{name}
Version: %{version}
Release: %{release}
Group: Development/C
Source: %{name}-%{version}.tar.bz2
Copyright: GPL
Requires: gd XFree86-libs
Buildroot: /var/tmp/%{name}-buildroot

%description
g2 is an easy to use graphics library for 2D graphical applications
written in Ansi-C. g2 library provides a comprehensive set of
functions for simultaneous generation of graphical output on different
types of devices. Following devices are currently supported by g2:
PostScript, X11, GIF (using gd) and Win32 (xfig is in development). g2
has C, Perl and Fortran interface.
g2 home page: http://www.ap.univie.ac.at/users/ljubo/g2/


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=$RPM_BUILD_ROOT/usr
make depend
make

%install
make install
install -m 644 src/GIF/g2_GIF.h $RPM_BUILD_ROOT/usr/include/

%files
%defattr (-,root,root)
%doc  README CHANGES COPYING doc/* demo/*
/usr/lib/libg2.a
/usr/include/g2.h
/usr/include/g2_PS.h
/usr/include/g2_X11.h
/usr/include/g2_GIF.h

%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.40-2mdk
- fix group

* Thu Feb 17 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v0.40
